## ros-galactic-velodyne-pointcloud 2.3.0

=== src/lib/CMakeLists.txt ===
add_library(velodyne_rawdata SHARED
  rawdata.cpp
  calibration.cpp)
ament_target_dependencies(velodyne_rawdata
  angles
  geometry_msgs
  rclcpp
  sensor_msgs
  tf2
  tf2_ros
  velodyne_msgs
)

target_link_libraries(velodyne_rawdata
        ${YAML_CPP_LIBRARIES})

add_library(velodyne_cloud_types SHARED
  pointcloudXYZIRT.cpp
  organized_cloudXYZIRT.cpp
)
ament_target_dependencies(velodyne_cloud_types
  rclcpp
  sensor_msgs
  tf2
  velodyne_msgs
)

install(TARGETS velodyne_cloud_types velodyne_rawdata
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib)

=== debian/changelog ===
ros-galactic-velodyne-pointcloud (2.3.0-1focal) focal; urgency=high

  * Passing fixed_frame and target_frame to Convert object. (#330 <https://github.com/ros-drivers/velodyne/issues/330>) (#451 <https://github.com/ros-drivers/velodyne/issues/451>)
    Co-authored-by: Joshua Whitley <mailto:jwhitley@autonomoustuff.com>
  * Updating maintainer email address. (#450 <https://github.com/ros-drivers/velodyne/issues/450>)
    * Updating maintainer email address.
    * chore: update maintainer email address
    Co-authored-by: Joshua Whitley <mailto:jwhitley@autonomoustuff.com>
  * Add per point time field (#440 <https://github.com/ros-drivers/velodyne/issues/440>)
    * Initial commit to timestamp each point using the timing spec in the manuals
    * Added model param to each of the cloud nodelet starters
    * Minor cleanup. added author tag to rawdata
    * Move timing offsets functionality into class private. Also fix linter errors
    * added #include <vector> for linter
    * fix: suppress compiler warning
    * feat: change XYZIR to XYZIRT
    Co-authored-by: Shawn Hanna <mailto:shawn@kaarta.com>
  * Link against yaml-cpp (#443 <https://github.com/ros-drivers/velodyne/issues/443>)
  * Increase the max_range of the 32C launch file (#323 <https://github.com/ros-drivers/velodyne/issues/323>) (#441 <https://github.com/ros-drivers/velodyne/issues/441>)
    Co-authored-by: Shawn Hanna <mailto:50845122+kaarta-SHanna@users.noreply.github.com>
  * fix for #267 <https://github.com/ros-drivers/velodyne/issues/267>, transform each packet (#438 <https://github.com/ros-drivers/velodyne/issues/438>)
    * fix for #267 <https://github.com/ros-drivers/velodyne/issues/267>, transform each packet
    * fix: fix scope of access modifiers
    Co-authored-by: Sebastian <mailto:spuetz@uos.de>
  * Replace deprecated argument names in launch (#430 <https://github.com/ros-drivers/velodyne/issues/430>)
  * 2.1.1
  * Updating for first Galactic release
  * Contributors: Daisuke Nishimatsu, Joshua Whitley, Keane Quigley, Stephan Sundermann

 -- Josh Whitley <whitleysoftwareservices@gmail.com>  Fri, 08 Jul 2022 05:00:00 -0000

ros-galactic-velodyne-pointcloud (2.1.1-1focal) focal; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Mon, 23 Aug 2021 05:00:00 -0000

ros-galactic-velodyne-pointcloud (2.1.0-1focal) focal; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Fri, 10 Jul 2020 05:00:00 -0000

ros-galactic-velodyne-pointcloud (2.0.0-1focal) focal; urgency=high

  * More fixing of dependencies. (#333 <https://github.com/ros-drivers/velodyne/issues/333>)
    * More fixing of dependencies.
  * Fixes pointed out by clang-tidy (#310 <https://github.com/ros-drivers/velodyne/issues/310>)
    * Rearrange header includes so clang-tidy is happy.
    * Get rid of unnecessary void arguments on methods.
    * Properly mark methods as override where appropriate.
    * Initialize members and stack variables to zero before use.
    * Mark function implementations in header files 'inline'.
    * Use more efficient 'empty' method instead of empty string.
    * Get rid of unnecessary else statements after a continue/return.
    * Get rid of unnecessary == false use.
    * Make sure to add a virtual destructor to DataContainerBase.
    * Use string != comparison instead of 'compare' method.
    * Rename PointcloudXYZIR parameter name to match implementation.
    * Get rid of usage of typedef.
    * Be more explicit about using floats.
    * Do an explicit lround to do int->float conversion.
    * Fix the intensity calculation.
    * Remove the azimuth from addPoint.
    * Make sure to reset the cloud data to 0 before reusing.
    * Use underscores on pointcloud member variables.
    * Using std::lround means we don't need to add 0.5 to the result.
    * Slightly rearrange and simplify range checks.
    * Add in example launch files for VLP32C.
  * A few more minor style updates. (#308 <https://github.com/ros-drivers/velodyne/issues/308>)
    - Get rid of the last users of new in the codebase
    - Get rid of the users of 'using' in the codebase
    - Rename 'calibrationFile' -> 'calibration_file'
  * Dashing fixes (#307 <https://github.com/ros-drivers/velodyne/issues/307>)
    * Use std::make_unique as appropriate.
    * Fix the azimuth calculation.
    * Fix a crash during driver startup.
    * Always recalculate the row_step while setting up the cloud.
    * Make sure to call computeTransformation.
    * Fix style errors pointed out by flake8.
  * ROS2: Add Linters to velodyne_pointcloud (#304 <https://github.com/ros-drivers/velodyne/issues/304>)
    * VP: Renaming files.
    * VP: Fixed copyrights.
    * VP: cpplint is satisfied!
    * VP: Converted gen_calibration.py to Python3.
    * Uncrustify fixed!
    * VP: Lint errors clear.
    * VP: Moving organized_cloud and pointcloud to lib and building as library.
  * Check for intra-process subscribers
  * Add in example launch files.
  * Disable copy, move, and assign operators.
  * Build the components so the velodyne can be run as a component.
  * Add in NodeOptions to node constructors.
  * Only find the "common" component to PCL.
  * Make sure to install the header files for laserscan and pointcloud.
  * Properly setup the row_step.
  * Add explicit, final, and override to classes where appropriate.
  * Remove organize_cloud, fixed_frame, and target_frame configs.
  * Stop storing view_{direction,width} in the Node classes.
  * Stop storing {min,max}_range in the Node classes.
  * Make DataContainerBase::configure const reference string parameters.
  * Switch argument order to always be (min,max)
  * Remove tmp_{min,max}_angle from stored RawData config.
  * Remove unused tf_ptr.
  * Switch container_ptr to a unique_ptr.
  * container_ptr -> container_ptr_
  * Don't store number of lasers in the Transfrom/Convert node.
  * Make the RawData class RAII-style.
  * Make RawData::setup not return the number of lasers.


=== debian/control ===
Source: ros-galactic-velodyne-pointcloud
Section: misc
Priority: optional
Maintainer: Josh Whitley <whitleysoftwareservices@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libpcl-dev, libyaml-cpp-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-angles, ros-galactic-diagnostic-updater, ros-galactic-geometry-msgs, ros-galactic-message-filters, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-sensor-msgs, ros-galactic-tf2, ros-galactic-tf2-ros, ros-galactic-velodyne-msgs, ros-galactic-ros-workspace
Homepage: http://ros.org/wiki/velodyne_pointcloud
Standards-Version: 3.9.2

Package: ros-galactic-velodyne-pointcloud
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-dev, libyaml-cpp-dev, ros-galactic-angles, ros-galactic-diagnostic-updater, ros-galactic-geometry-msgs, ros-galactic-message-filters, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-sensor-msgs, ros-galactic-tf2, ros-galactic-tf2-ros, ros-galactic-velodyne-msgs, ros-galactic-ros-workspace
Description: Point cloud conversions for Velodyne 3D LIDARs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-velodyne-pointcloud//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
